## audioresample audioresample — Resamples audio |

## Synopsis

    struct              GstAudioResample;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstAudioResample

## Properties

      "filter-length"            gint                  : Read / Write
      "quality"                  gint                  : Read / Write / Construct

## Description

audioresample resamples raw audio buffers to different sample rates using a configurable windowing function to enhance quality.

### Example launch line

    1
    gst-launch -v filesrc location=sine.ogg ! oggdemux ! vorbisdec ! audioconvert ! audioresample ! audio/x-raw, rate=8000 ! alsasink

Decode an Ogg/Vorbis downsample to 8Khz and play sound through alsa. To create the Ogg/Vorbis file refer to the documentation of vorbisenc.

## Synopsis

### Element Information

plugin | audioresample
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Filter/Converter/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ F32LE, F64LE, S32LE, S24LE, S16LE, S8 }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string){ interleaved, non-interleaved }

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ F32LE, F64LE, S32LE, S24LE, S16LE, S8 }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string){ interleaved, non-interleaved }

## Details

### struct GstAudioResample

    struct GstAudioResample;

Opaque data structure.

## Property Details

### The `"filter-length"` property

      "filter-length"            gint                  : Read / Write

Length of the resample filter.

Allowed values: >= 0

Default value: 64

### The `"quality"` property

      "quality"                  gint                  : Read / Write / Construct

Resample quality with 0 being the lowest and 10 being the best.

Allowed values: [0,10]

Default value: 4